##// END OF EJS Templates
docs: added release notes for 4.22.0
docs: added release notes for 4.22.0

File last commit:

r4288:23321a25 default
r4521:a111f355 stable
Show More
system-overview.rst
172 lines | 3.6 KiB | text/x-rst | RstLexer
/ docs / admin / system-overview.rst

System Overview

Latest Version

System Architecture

The following diagram shows a typical production architecture.

../images/architecture-diagram.png

Supported Operating Systems

Linux

  • Ubuntu 14.04+
  • CentOS 6.2, 7 and 8
  • RHEL 6.2, 7 and 8
  • Debian 7.8
  • RedHat Fedora
  • Arch Linux
  • SUSE Linux

Windows

  • Windows Vista Ultimate 64bit
  • Windows 7 Ultimate 64bit
  • Windows 8 Professional 64bit
  • Windows 8.1 Enterprise 64bit
  • Windows Server 2008 64bit
  • Windows Server 2008-R2 64bit
  • Windows Server 2012 64bit

Supported Databases

  • SQLite
  • MySQL
  • MariaDB
  • PostgreSQL

Supported Browsers

  • Chrome
  • Safari
  • Firefox
  • Internet Explorer 10 & 11

System Requirements

|RCE| performs best on machines with ultra-fast hard disks. Generally disk performance is more important than CPU performance. In a corporate production environment handling 1000s of users and |repos| you should deploy on a 12+ core 64GB RAM server. In short, the more RAM the better.

For example:

  • for team of 1 - 5 active users you can run on 1GB RAM machine with 1CPU
  • above 250 active users, |RCE| needs at least 8GB of memory. Number of CPUs is less important, but recommended to have at least 2-3 CPUs

Default Repositories Location

Connection Methods

Internationalization Support

Currently available in the following languages, see Transifex for the latest details. If you want a new language added, please contact us. To configure your language settings, see the :ref:`set-lang` section.

Licencing Information

  • See licencing information here

Peer-to-peer Failover Support

  • Yes

Additional Binaries

Remote Connectivity

  • Available

Executable Files

Windows: :file:`RhodeCode-installer-{version}.exe`

Deprecated Support

  • Internet Explorer 8 support deprecated since version 3.7.0.
  • Internet Explorer 9 support deprecated since version 3.8.0.